Debian Bug report logs - #594967
[poulsbo] grub-pc Hangs After "Welcome to GRUB!"

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: "David A. Greene" <greened@obbligato.org>

Date: Tue, 31 Aug 2010 07:40:45 UTC

Severity: critical

Tags: d-i

Merged with 598668

Found in version grub2/1.98+20100804-2

Fixed in versions grub2/1.98+20100804-12, grub2/1.99~20110104-1, grub2/1.99~rc1-2

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Tue, 31 Aug 2010 07:40:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David A. Greene" <greened@obbligato.org>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 31 Aug 2010 07:40:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "David A. Greene" <greened@obbligato.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: GRUB Hangs After "Welcome to GRUB!"
Date: Mon, 30 Aug 2010 19:50:56 -0500
Package: grub-pc
Version: 1.98+20100804-2
Severity: critical
Tags: d-i
Justification: breaks the whole system

This problem originally happened when upgrading an old Squeeze installation.
I do not know how long the problem has existed.  Doing a fresh install from the
very latest testing images does not solve the problem.

On an Acer Aspire One AO751h, GRUB fails to boot.  It hangs at "Welcome to GRUB!"
and a Ctl-Alt-Del does not reboot the machine.  I have tried multiple installation
methods and partitioning schemes with no luck.

-- Package-specific info:
[Not relevant, generated on different machine]

-- System Information:
[Not relevant, generated on different machine]

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 04 Sep 2010 16:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nuutti Kotivuori <naked@iki.fi>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 04 Sep 2010 16:12:08 GMT) Full text and rfc822 format available.

Message #10 received at 594967@bugs.debian.org (full text, mbox):

From: Nuutti Kotivuori <naked@iki.fi>
To: 594967@bugs.debian.org
Subject: Confirmed for me as well
Date: Sat, 04 Sep 2010 18:27:04 +0300
Grub hangs after the "Welcome to GRUB!" step.

My machine is a bit special - it's fit-PC2i. After upgrading grub to the
latest version, this thing started happening - grub worked fine before.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 04 Sep 2010 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nuutti Kotivuori <naked@iki.fi>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 04 Sep 2010 16:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 594967@bugs.debian.org (full text, mbox):

From: Nuutti Kotivuori <naked@iki.fi>
To: 594967@bugs.debian.org
Subject: Workaround found
Date: Sat, 04 Sep 2010 19:20:30 +0300
When commenting by hand the graphics setting entires from grub.cfg, the
machine starts booting again. I would expect saying
GRUB_TERMINAL=console in the configuration file would have the same
effect.

So, something has changed very recently in the grub graphical options
that atleast make the fit-pc2i hang at boot.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Thu, 16 Sep 2010 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zagrabelny <mzagrabe@d.umn.edu>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 16 Sep 2010 20:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 594967@bugs.debian.org (full text, mbox):

From: Matt Zagrabelny <mzagrabe@d.umn.edu>
To: 594967@bugs.debian.org
Subject: Same problem on Dell Inspiron Mini 10.
Date: Thu, 16 Sep 2010 15:29:43 -0500
Not sure what else, besides the subject, would be of use for debugging.

I did follow Nuutti Kotivuori's <naked@iki.fi> suggestion of uncommenting:

#GRUB_TERMINAL=console

in /etc/default/grub

reran update-grub2

and was able to boot into the system. Let me know what else I can do
to help debug this.

-matt zagrabelny




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 20 Nov 2010 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 20 Nov 2010 10:42:06 GMT) Full text and rfc822 format available.

Message #25 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Matt Zagrabelny <mzagrabe@d.umn.edu>, 594967@bugs.debian.org
Subject: Re: Bug#594967: Same problem on Dell Inspiron Mini 10.
Date: Sat, 20 Nov 2010 10:38:03 +0000
On Thu, Sep 16, 2010 at 03:29:43PM -0500, Matt Zagrabelny wrote:
>Not sure what else, besides the subject, would be of use for debugging.
>
>I did follow Nuutti Kotivuori's <naked@iki.fi> suggestion of uncommenting:
>
>#GRUB_TERMINAL=console
>
>in /etc/default/grub
>
>reran update-grub2
>
>and was able to boot into the system. Let me know what else I can do
>to help debug this.

I'm seeing the same problem on an Acer 0751H machine as well, on a
fresh squeeze installation. I used to have (and rely on) a graphical
grub to set up the right graphics mode on this Poulsbo machine, but
that was from quite a while back using an Ubuntu-based system.

I'll start bisecting now to see where this came in.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Every time you use Tcl, God kills a kitten." -- Malcolm Ray





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 20 Nov 2010 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 20 Nov 2010 13:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: "David A. Greene" <greened@obbligato.org>, 594967@bugs.debian.org, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: grub-pc: GRUB Hangs After "Welcome to GRUB!"
Date: Sat, 20 Nov 2010 13:09:04 +0000
On Mon, Aug 30, 2010 at 07:50:56PM -0500, David A. Greene wrote:
>Package: grub-pc
>Version: 1.98+20100804-2
>Severity: critical
>Tags: d-i
>Justification: breaks the whole system
>
>This problem originally happened when upgrading an old Squeeze installation.
>I do not know how long the problem has existed.  Doing a fresh install from the
>very latest testing images does not solve the problem.
>
>On an Acer Aspire One AO751h, GRUB fails to boot.  It hangs at "Welcome to GRUB!"
>and a Ctl-Alt-Del does not reboot the machine.  I have tried multiple installation
>methods and partitioning schemes with no luck.

On Sat, Nov 20, 2010 at 10:38:03AM +0000, Steve McIntyre wrote:
>On Thu, Sep 16, 2010 at 03:29:43PM -0500, Matt Zagrabelny wrote:
>>Not sure what else, besides the subject, would be of use for debugging.
>>
>>I did follow Nuutti Kotivuori's <naked@iki.fi> suggestion of uncommenting:
>>
>>#GRUB_TERMINAL=console
>>
>>in /etc/default/grub
>>
>>reran update-grub2
>>
>>and was able to boot into the system. Let me know what else I can do
>>to help debug this.
>
>I'm seeing the same problem on an Acer 0751H machine as well, on a
>fresh squeeze installation. I used to have (and rely on) a graphical
>grub to set up the right graphics mode on this Poulsbo machine, but
>that was from quite a while back using an Ubuntu-based system.
>
>I'll start bisecting now to see where this came in.

OK, done. I'm cc:ing all the people who have added comments on the bug
too, for information.

On the Acer 0751H here, I've walked through the versions of grub-pc
available on snapshot.debian.org to see where things broke. The answer
is that the break happened between 20100617-1 and 20100702-1. Using
the text console workaround will let you use grub as-is, but if you
want graphical goodness too (and the smarts to make the Poulsbo
chipset work at a proper resolution), then download and install the
following older versions for now:

http://snapshot.debian.org/archive/debian/20100619T041712Z/pool/main/g/grub2/grub-common_1.98%2B20100617-1_i386.deb
http://snapshot.debian.org/archive/debian/20100619T041712Z/pool/main/g/grub2/grub-pc_1.98%2B20100617-1_i386.deb

and you should be fine. You'll need to mark those packages as "held"
to stop apt(itude) upgrading beyond them as well, of course. I hope
that's helpful for people. :-)

Now, looking at the changes from 20100617-1 to 20100702-1. There's a
big obvious candidate for the issue we're seeing:

  * New Bazaar snapshot.
    - Use video functions in Linux loader rather than hardcoding UGA; load
      all available video backends (closes: #565576, probably).

I'm not sure exactly what changed in there and I don't have time right
now to dig much further, but it's worth sharing where I got to.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 20 Nov 2010 16:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 20 Nov 2010 16:15:11 GMT) Full text and rfc822 format available.

Message #35 received at 594967@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Steve McIntyre <steve@einval.com>, 594967@bugs.debian.org
Cc: "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: grub-pc: GRUB Hangs After "Welcome to GRUB!"
Date: Sat, 20 Nov 2010 17:09:38 +0100
[Message part 1 (text/plain, inline)]
>   * New Bazaar snapshot.
>     - Use video functions in Linux loader rather than hardcoding UGA; load
>       all available video backends (closes: #565576, probably).
>
>   
This change affects only EFI port
> I'm not sure exactly what changed in there and I don't have time right
> now to dig much further, but it's worth sharing where I got to.
>
>   


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 20 Nov 2010 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 20 Nov 2010 19:15:06 GMT) Full text and rfc822 format available.

Message #40 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: grub-pc: GRUB Hangs After "Welcome to GRUB!"
Date: Sat, 20 Nov 2010 19:12:50 +0000
On Sat, Nov 20, 2010 at 05:09:38PM +0100, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>
>>   * New Bazaar snapshot.
>>     - Use video functions in Linux loader rather than hardcoding UGA; load
>>       all available video backends (closes: #565576, probably).
>>
>>   
>This change affects only EFI port

Ah, OK. There goes that theory. :-(

I can help test/debug if desired, but I've not got much time to
actually work on the code here.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Who needs computer imagery when you've got Brian Blessed?





Forcibly Merged 594967 598668. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Tue, 07 Dec 2010 20:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to '[poulsbo] grub-pc Hangs After "Welcome to GRUB!"' from 'grub-pc: GRUB Hangs After "Welcome to GRUB!"' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 22 Dec 2010 06:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 01 Jan 2011 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 01 Jan 2011 23:42:03 GMT) Full text and rfc822 format available.

Message #49 received at 594967@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 594967@bugs.debian.org
Cc: "David A. Greene" <greened@obbligato.org>, "Nuutti Kotivuori" <naked@iki.fi>, "Matt Zagrabelny" <mzagrabe@d.umn.edu>, "Steve McIntyre" <steve@einval.com>
Subject: Re: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sat, 01 Jan 2011 18:35:52 -0500
I'm Cc'ing everyone involved in this bug for information, since I don't
know who's subscribed (I am though).

I first noticed this issue a month or two ago on installing Squeeze onto
my Acer Aspire One AO751h, though I didn't have time to do anything more
than install the old working GRUB 2 version. Yesterday I made myself a
Squeeze installation on a flash drive and tried to boot it on the
AO751h, only to be reminded of the issue. I'm on break now, so today I
began investigating the bug. I'm looking through the differences between
20100617-1 and 20100702-1 (thanks Steve for bisecting this).

Considering the machines this is affecting (machines with the Poulsbo
chipset) and the configuration workaround, I'd bet the issue lies in the
video subsystem. So far, the changes in the video/ directory appear to
be mostly code re-factoring, so I think my next step will be to add some
debugging output to 20100702-1's kernel and see where GRUB hangs up or
what isn't being done. Don't expect any miracles though, as this is my
first time in the GRUB 2 code. ;) If anyone has any thoughts on what the
problem might be or familiarity with the GRUB kernel's initialization of
the video subsystem, that would be helpful.

P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 00:00:03 GMT) Full text and rfc822 format available.

Message #54 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: "P. J. McDermott" <pjm@nac.net>, 594967@bugs.debian.org
Cc: "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, Steve McIntyre <steve@einval.com>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sat, 1 Jan 2011 23:57:39 +0000
On Sat, Jan 01, 2011 at 06:35:52PM -0500, P. J. McDermott wrote:
> Considering the machines this is affecting (machines with the Poulsbo
> chipset) and the configuration workaround, I'd bet the issue lies in the
> video subsystem. So far, the changes in the video/ directory appear to
> be mostly code re-factoring, so I think my next step will be to add some
> debugging output to 20100702-1's kernel and see where GRUB hangs up or
> what isn't being done. Don't expect any miracles though, as this is my
> first time in the GRUB 2 code. ;) If anyone has any thoughts on what the
> problem might be or familiarity with the GRUB kernel's initialization of
> the video subsystem, that would be helpful.

I think (with respect) that Vladimir was mistaken when he said that the
video changes in 20100702-1 only affected the EFI port.

One effect of these changes was to load the video_cirrus and video_bochs
modules by default (you can test whether this is the culprit by
commenting them out in grub.cfg).  I've seen a handful of systems that
hang while trying to enumerate the PCI bus in GRUB; it so happens that
those are the only modules that usually trigger GRUB's PCI bus
enumeration in normal circumstances ...

You can also verify this at a lower level by trying 'lspci' at a GRUB
prompt.  If it's the same problem, this will hang.

Unfortunately, I haven't had my hands on an affected machine for more
than a day or so, and that was when I was under deadline pressure so a
workaround was the best I could manage.  Steve, is your affected system
at home?  Maybe I could visit at some point (for others on the bug,
we're in the same city) ...

I've been meaning to post this hint to this bug for a while now, not to
mention trying to figure out what's actually going on rather than merely
a workaround.  Thanks for providing a nudge.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 00:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 00:18:06 GMT) Full text and rfc822 format available.

Message #59 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Colin Watson <cjwatson@debian.org>
Cc: "P. J. McDermott" <pjm@nac.net>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sun, 2 Jan 2011 00:14:59 +0000
On Sat, Jan 01, 2011 at 11:57:39PM +0000, Colin Watson wrote:
>On Sat, Jan 01, 2011 at 06:35:52PM -0500, P. J. McDermott wrote:
>> Considering the machines this is affecting (machines with the Poulsbo
>> chipset) and the configuration workaround, I'd bet the issue lies in the
>> video subsystem. So far, the changes in the video/ directory appear to
>> be mostly code re-factoring, so I think my next step will be to add some
>> debugging output to 20100702-1's kernel and see where GRUB hangs up or
>> what isn't being done. Don't expect any miracles though, as this is my
>> first time in the GRUB 2 code. ;) If anyone has any thoughts on what the
>> problem might be or familiarity with the GRUB kernel's initialization of
>> the video subsystem, that would be helpful.
>
>I think (with respect) that Vladimir was mistaken when he said that the
>video changes in 20100702-1 only affected the EFI port.
>
>One effect of these changes was to load the video_cirrus and video_bochs
>modules by default (you can test whether this is the culprit by
>commenting them out in grub.cfg).  I've seen a handful of systems that
>hang while trying to enumerate the PCI bus in GRUB; it so happens that
>those are the only modules that usually trigger GRUB's PCI bus
>enumeration in normal circumstances ...
>
>You can also verify this at a lower level by trying 'lspci' at a GRUB
>prompt.  If it's the same problem, this will hang.
>
>Unfortunately, I haven't had my hands on an affected machine for more
>than a day or so, and that was when I was under deadline pressure so a
>workaround was the best I could manage.  Steve, is your affected system
>at home?  Maybe I could visit at some point (for others on the bug,
>we're in the same city) ...

Hi Colin,

Yup, it is at the moment - Jo's around here for the next couple of
days and it's her machine. If that works for you, then great. Or we
can work something out - contact me in private...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"I've only once written 'SQL is my bitch' in a comment. But that code 
 is in use on a military site..." -- Simon Booth





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 03:12:03 GMT) Full text and rfc822 format available.

Message #64 received at 594967@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: Colin Watson <cjwatson@debian.org>, 594967@bugs.debian.org
Cc: "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, Steve McIntyre <steve@einval.com>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sat, 01 Jan 2011 22:12:44 -0500
On 01/01/2011 06:57 PM, Colin Watson wrote:
> On Sat, Jan 01, 2011 at 06:35:52PM -0500, P. J. McDermott wrote:
>   
>> Considering the machines this is affecting (machines with the Poulsbo
>> chipset) and the configuration workaround, I'd bet the issue lies in the
>> video subsystem. So far, the changes in the video/ directory appear to
>> be mostly code re-factoring, so I think my next step will be to add some
>> debugging output to 20100702-1's kernel and see where GRUB hangs up or
>> what isn't being done. Don't expect any miracles though, as this is my
>> first time in the GRUB 2 code. ;) If anyone has any thoughts on what the
>> problem might be or familiarity with the GRUB kernel's initialization of
>> the video subsystem, that would be helpful.
>>     
> I think (with respect) that Vladimir was mistaken when he said that the
> video changes in 20100702-1 only affected the EFI port.
>
> One effect of these changes was to load the video_cirrus and video_bochs
> modules by default (you can test whether this is the culprit by
> commenting them out in grub.cfg).  I've seen a handful of systems that
> hang while trying to enumerate the PCI bus in GRUB; it so happens that
> those are the only modules that usually trigger GRUB's PCI bus
> enumeration in normal circumstances ...
>
> You can also verify this at a lower level by trying 'lspci' at a GRUB
> prompt.  If it's the same problem, this will hang.
>   

I noticed the new bochs and cirrus files, but I didn't think they would
affect a Poulsbo system. You're right though; I commented out those
lines, and I'm now looking at a graphical menu for "GNU GRUB  version
1.98+20100804-11" (as installed by Squeeze beta1's debian-installer) on
an AO751h. I suppose the problem then is in either grub_pci_iterate() or
the hook functions passed to it by the cirrus and bochs modules?

> Unfortunately, I haven't had my hands on an affected machine for more
> than a day or so, and that was when I was under deadline pressure so a
> workaround was the best I could manage.  Steve, is your affected system
> at home?  Maybe I could visit at some point (for others on the bug,
> we're in the same city) ...
>   

I can do testing and debugging on my system as well, if it helps. I
might poke around grub_pci_iterate() and the hook functions tonight or
tomorrow sometime.

P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 09:18:03 GMT) Full text and rfc822 format available.

Message #69 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, Steve McIntyre <steve@einval.com>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sun, 2 Jan 2011 09:14:25 +0000
On Sat, Jan 01, 2011 at 10:12:44PM -0500, P. J. McDermott wrote:
> On 01/01/2011 06:57 PM, Colin Watson wrote:
> > One effect of these changes was to load the video_cirrus and video_bochs
> > modules by default (you can test whether this is the culprit by
> > commenting them out in grub.cfg).  I've seen a handful of systems that
> > hang while trying to enumerate the PCI bus in GRUB; it so happens that
> > those are the only modules that usually trigger GRUB's PCI bus
> > enumeration in normal circumstances ...
> >
> > You can also verify this at a lower level by trying 'lspci' at a GRUB
> > prompt.  If it's the same problem, this will hang.
> 
> I noticed the new bochs and cirrus files, but I didn't think they would
> affect a Poulsbo system. You're right though; I commented out those
> lines, and I'm now looking at a graphical menu for "GNU GRUB  version
> 1.98+20100804-11" (as installed by Squeeze beta1's debian-installer) on
> an AO751h. I suppose the problem then is in either grub_pci_iterate() or
> the hook functions passed to it by the cirrus and bochs modules?

grub_pci_iterate itself, IIRC.  On the system I briefly had access to,
it hung when it tried to read from a particular address in PCI memory
(when it got to some high-numbered bus - 171 or something like that, I
forget the exact number).

GRUB just reads through PCI busses sequentially from 0 to 255.  Linux
does something much more complicated.  In the time I had available I
couldn't figure out how to reproduce it in GRUB, or whether it was
necessary - it seemed to be stopping well before bus 255 though.  I
think it was getting the limit from PCI configuration space, but there
seemed to be some kind of multi-level scheme going on.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 09:42:03 GMT) Full text and rfc822 format available.

Message #74 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, Steve McIntyre <steve@einval.com>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sun, 2 Jan 2011 09:38:54 +0000
On Sun, Jan 02, 2011 at 09:14:25AM +0000, Colin Watson wrote:
> grub_pci_iterate itself, IIRC.  On the system I briefly had access to,
> it hung when it tried to read from a particular address in PCI memory
> (when it got to some high-numbered bus - 171 or something like that, I
> forget the exact number).
> 
> GRUB just reads through PCI busses sequentially from 0 to 255.  Linux
> does something much more complicated.  In the time I had available I
> couldn't figure out how to reproduce it in GRUB, or whether it was
> necessary - it seemed to be stopping well before bus 255 though.  I
> think it was getting the limit from PCI configuration space, but there
> seemed to be some kind of multi-level scheme going on.

The PCI specification itself is behind a membership-only interface (I
haven't looked yet to see if membership is free).  However, from what I
can make out, we shouldn't be just walking from 0 to 255.  What you're
supposed to do is:

  * Walk through bus 0.
  * If any PCI-PCI bridge devices (class 6, subclass 4) were found, then
    they may have additional buses behind them.  The bus numbers behind
    these bridges must be > the bridge's Secondary Bus Number register,
    and <= the bridge's Subordinate Bus Number register.  Recursively
    walk these buses in the same way as bus 0.

Since the Subordinate Bus Number is a recursive upper bound for any bus
beyond a given bridge, perhaps it's enough to take the maximum of all
the Subordinate Bus Number registers for all PCI-PCI bridges on bus 0
and use that as the system's maximum bus number.  It would seem more
efficient to account for possible gaps in bus numbering and not try to
interrogate buses we know to be in the gaps, though.

http://tldp.org/LDP/tlk/dd/pci.html seems like a reasonable layman's
summary.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 18:21:02 GMT) Full text and rfc822 format available.

Message #79 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: "P. J. McDermott" <pjm@nac.net>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sun, 2 Jan 2011 18:18:08 +0000
On Sun, Jan 02, 2011 at 12:14:59AM +0000, Steve McIntyre wrote:
> On Sat, Jan 01, 2011 at 11:57:39PM +0000, Colin Watson wrote:
> >Unfortunately, I haven't had my hands on an affected machine for more
> >than a day or so, and that was when I was under deadline pressure so a
> >workaround was the best I could manage.  Steve, is your affected system
> >at home?  Maybe I could visit at some point (for others on the bug,
> >we're in the same city) ...
> 
> Hi Colin,
> 
> Yup, it is at the moment - Jo's around here for the next couple of
> days and it's her machine. If that works for you, then great. Or we
> can work something out - contact me in private...

I have a few images you, or anyone with an affected system, can try
without needing me to be in front of the machine.  (If this doesn't work
then we can see if we can make arrangements.)  These are the usual
hybrid CD/USB images created by grub-mkrescue, despite the .iso
extension.  The patch files alongside them are each relative to
http://bzr.sv.gnu.org/r/grub/trunk/grub/ revision 3006, built with
'./autogen.sh && ./configure --with-platform=pc && make &&
./grub-mkrescue --grub-mkimage=./grub-mkimage
--override-directory=grub-core -o 1.iso' (etc.).

  http://people.debian.org/~cjwatson/tmp/grub-pci/

Boot each of the images, which should result in a GRUB prompt, and run:

  set debug=pci
  lspci

The first image should hang; I'm interested in the last bus number
printed.  The second may or may not hang, depending on the exact point
things go wrong; again, I'm interested in the last bus number printed.
If my theory is correct, then the third should complete successfully;
either way, I'd like the full output from the third image (sorry, it may
take a little while to transcribe).

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sun, 02 Jan 2011 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #84 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Colin Watson <cjwatson@debian.org>
Cc: "P. J. McDermott" <pjm@nac.net>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Sun, 2 Jan 2011 22:41:50 +0000
On Sun, Jan 02, 2011 at 06:18:08PM +0000, Colin Watson wrote:
>
>  http://people.debian.org/~cjwatson/tmp/grub-pci/
>
>Boot each of the images, which should result in a GRUB prompt, and run:
>
>  set debug=pci
>  lspci
>
>The first image should hang; I'm interested in the last bus number
>printed.  The second may or may not hang, depending on the exact point
>things go wrong; again, I'm interested in the last bus number printed.
>If my theory is correct, then the third should complete successfully;
>either way, I'd like the full output from the third image (sorry, it may
>take a little while to transcribe).

No problem, glad to help. :-)

1.iso:

  last bus number printed is b0

2.iso:

  goes all the way through to bus ff and returns to a grub prompt

3.iso: 

  grub> set debug=pci
  grub> lspci
  bus/pci.c:92: bus 0
  00:00.0 8086:8100 [0600] Host Bridge
  00:02.0 8086:8108 [0300] VGA Controller
  00:1b.0 8086:811b [0403] Multimedia device
  00:1c.0 8086:8110 [0604] PCI-PCI Bridge
  00:1c.1 8086:8112 [0604] PCI-PCI Bridge
  00:1d.0 8086:8114 [0c03] USB Controller
  00:1d.1 8086:8115 [0c03] USB Controller
  00:1d.2 8086:8116 [0c03] USB Controller
  00:1d.7 8086:8117 [0c03] USB Controller [PI 20]
  00:1f.0 8086:8119 [0601] ISA Bridge
  00:1f.1 8086:811a [0101] IDE Controller [PI 80]
  grub>

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Mon, 03 Jan 2011 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 03 Jan 2011 00:15:03 GMT) Full text and rfc822 format available.

Message #89 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: "P. J. McDermott" <pjm@nac.net>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, grub-devel@gnu.org
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Mon, 3 Jan 2011 00:13:01 +0000
On Sun, Jan 02, 2011 at 10:41:50PM +0000, Steve McIntyre wrote:
> 1.iso:
> 
>   last bus number printed is b0
> 
> 2.iso:
> 
>   goes all the way through to bus ff and returns to a grub prompt

This is interesting and suggests a measure of coincidence.  What that
patch did was skip remaining functions on a device that doesn't
implement function 0, taking that as an indication that it doesn't
exist.  This was based on:

  http://en.wikipedia.org/wiki/PCI_configuration_space#Bus_enumeration

Vladimir, are you OK with this change to trunk?

2011-01-02  Colin Watson  <cjwatson@ubuntu.com>

	* grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
	on devices that do not implement function 0.

=== modified file 'grub-core/bus/pci.c'
--- grub-core/bus/pci.c	2010-06-30 00:30:05 +0000
+++ grub-core/bus/pci.c	2011-01-02 17:31:32 +0000
@@ -90,7 +90,14 @@ grub_pci_iterate (grub_pci_iteratefunc_t
 
 	      /* Check if there is a device present.  */
 	      if (id >> 16 == 0xFFFF)
-		continue;
+		{
+		  if (dev.function == 0)
+		    /* Devices are required to implement function 0, so if
+		       it's missing then there is no device here.  */
+		    break;
+		  else
+		    continue;
+		}
 
 #ifdef GRUB_MACHINE_MIPS_YEELOONG
 	      /* Skip ghosts.  */

Nevertheless, I'm not confident that this will fix the problem on all
machines, so I would like to sort out the bridge handling as well.

> 3.iso: 
> 
>   grub> set debug=pci
>   grub> lspci
>   bus/pci.c:92: bus 0
>   00:00.0 8086:8100 [0600] Host Bridge
>   00:02.0 8086:8108 [0300] VGA Controller
>   00:1b.0 8086:811b [0403] Multimedia device
>   00:1c.0 8086:8110 [0604] PCI-PCI Bridge
>   00:1c.1 8086:8112 [0604] PCI-PCI Bridge
>   00:1d.0 8086:8114 [0c03] USB Controller
>   00:1d.1 8086:8115 [0c03] USB Controller
>   00:1d.2 8086:8116 [0c03] USB Controller
>   00:1d.7 8086:8117 [0c03] USB Controller [PI 20]
>   00:1f.0 8086:8119 [0601] ISA Bridge
>   00:1f.1 8086:811a [0101] IDE Controller [PI 80]
>   grub>

Whoops, I forgot to right-shift the header word.  Can you try 4.iso
instead, at the same location?  I also made it handle PCI-to-CardBus
bridges the same way as PCI-to-PCI bridges since that's what pciutils
does.

(In addition to 'set debug=pci', I'd recommend also doing 'set pager=1'
so that lspci's output will be paged.)

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Mon, 03 Jan 2011 11:06:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 03 Jan 2011 11:06:26 GMT) Full text and rfc822 format available.

Message #94 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Colin Watson <cjwatson@debian.org>, 594967@bugs.debian.org
Cc: "P. J. McDermott" <pjm@nac.net>, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, grub-devel@gnu.org
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Mon, 3 Jan 2011 11:04:17 +0000
On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
>
>Whoops, I forgot to right-shift the header word.  Can you try 4.iso
>instead, at the same location?  I also made it handle PCI-to-CardBus
>bridges the same way as PCI-to-PCI bridges since that's what pciutils
>does.
>
>(In addition to 'set debug=pci', I'd recommend also doing 'set pager=1'
>so that lspci's output will be paged.)

4.iso:

  grub> set debug=pci
  grub> set pager=1
  grub> lspci
  bus/pci.c:92: bus 0x0
  00:00.0 8086:8100 [0600] Host Bridge
  00:02.0 8086:8108 [0300] VGA Controller
  00:1b.0 8086:811b [0403] Multimedia device
  bus/pci.c:143: bridge range 0x2-0x2
  00:1c.0 8086:8110 [0604] PCI-PCI Bridge
  bus/pci.c:143: bridge range 0x3-0x3
  00:1c.1 8086:8112 [0604] PCI-PCI Bridge
  00:1d.0 8086:8114 [0c03] USB Controller
  00:1d.1 8086:8115 [0c03] USB Controller
  00:1d.2 8086:8116 [0c03] USB Controller
  00:1d.7 8086:8117 [0c03] USB Controller [PI 20]
  00:1f.0 8086:8119 [0601] ISA Bridge
  00:1f.1 8086:811a [0101] IDE Controller [PI 80]
  bus/pci.c:92: bus 0x2
  02:00.0 10ec:8136 [0200] Ethernet Controller
  bus/pci.c:92: bus 0x3
  03:00.0 168c:001c [0200] Ethernet Controller
  grub>


-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Because heaters aren't purple!" -- Catherine Pitt





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Mon, 03 Jan 2011 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 03 Jan 2011 11:51:03 GMT) Full text and rfc822 format available.

Message #99 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 594967@bugs.debian.org, "P. J. McDermott" <pjm@nac.net>, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, grub-devel@gnu.org
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Mon, 3 Jan 2011 11:48:27 +0000
On Mon, Jan 03, 2011 at 11:04:17AM +0000, Steve McIntyre wrote:
> On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
> >Whoops, I forgot to right-shift the header word.  Can you try 4.iso
> >instead, at the same location?  I also made it handle PCI-to-CardBus
> >bridges the same way as PCI-to-PCI bridges since that's what pciutils
> >does.
> >
> >(In addition to 'set debug=pci', I'd recommend also doing 'set pager=1'
> >so that lspci's output will be paged.)
> 
> 4.iso:
> 
>   grub> set debug=pci
>   grub> set pager=1
>   grub> lspci
>   bus/pci.c:92: bus 0x0
>   00:00.0 8086:8100 [0600] Host Bridge
>   00:02.0 8086:8108 [0300] VGA Controller
>   00:1b.0 8086:811b [0403] Multimedia device
>   bus/pci.c:143: bridge range 0x2-0x2
>   00:1c.0 8086:8110 [0604] PCI-PCI Bridge
>   bus/pci.c:143: bridge range 0x3-0x3
>   00:1c.1 8086:8112 [0604] PCI-PCI Bridge
>   00:1d.0 8086:8114 [0c03] USB Controller
>   00:1d.1 8086:8115 [0c03] USB Controller
>   00:1d.2 8086:8116 [0c03] USB Controller
>   00:1d.7 8086:8117 [0c03] USB Controller [PI 20]
>   00:1f.0 8086:8119 [0601] ISA Bridge
>   00:1f.1 8086:811a [0101] IDE Controller [PI 80]
>   bus/pci.c:92: bus 0x2
>   02:00.0 10ec:8136 [0200] Ethernet Controller
>   bus/pci.c:92: bus 0x3
>   03:00.0 168c:001c [0200] Ethernet Controller
>   grub>

This looks right to me.  Excellent.  Vladimir, how does this patch look,
on top of my previous one?  (This is edited slightly relative to what
Steve tested, to make sure that the bus number never overflows
bus_present; this will never happen on x86 but might happen on other
architectures.  I've smoke-tested this change.)

2011-01-03  Colin Watson  <cjwatson@ubuntu.com>

	* grub-core/bus/pci.c (grub_pci_iterate): Only scan bus 0 plus any
	buses linked by PCI-to-PCI or PCI-to-CardBus bridges.
	* include/grub/pci.h: Add definitions for bridges.

=== modified file 'grub-core/bus/pci.c'
--- grub-core/bus/pci.c	2010-06-30 00:30:05 +0000
+++ grub-core/bus/pci.c	2011-01-03 00:05:27 +0000
@@ -20,6 +20,7 @@
 #include <grub/dl.h>
 #include <grub/pci.h>
 #include <grub/mm.h>
+#include <grub/misc.h>
 
 /* FIXME: correctly support 64-bit architectures.  */
 /* #if GRUB_TARGET_SIZEOF_VOID_P == 4 */
@@ -78,9 +79,18 @@ grub_pci_iterate (grub_pci_iteratefunc_t
   grub_pci_address_t addr;
   grub_pci_id_t id;
   grub_uint32_t hdr;
+  grub_uint8_t bus_present[(GRUB_PCI_NUM_BUS + 7) / 8];
+
+  grub_memset (bus_present, 0, sizeof (bus_present));
+  bus_present[0] = 1; /* bus 0 is always enabled */
 
   for (dev.bus = 0; dev.bus < GRUB_PCI_NUM_BUS; dev.bus++)
     {
+      if (!(bus_present[dev.bus / 8] & (1 << (dev.bus % 8))))
+	continue;
+
+      grub_dprintf ("pci", "bus 0x%x\n", dev.bus);
+
       for (dev.device = 0; dev.device < GRUB_PCI_NUM_DEVICES; dev.device++)
 	{
 	  for (dev.function = 0; dev.function < 8; dev.function++)
@@ -112,6 +119,38 @@ grub_pci_iterate (grub_pci_iteratefunc_t
 		continue;
 #endif
 
+	      /* On bus 0, look for PCI-to-PCI bridges and mark all buses
+	         within their ranges as present.  */
+	      if (dev.bus == 0)
+		{
+		  addr = grub_pci_make_address (dev, GRUB_PCI_REG_CACHELINE);
+		  hdr = grub_pci_read (addr);
+
+		  switch ((hdr >> 16) & 0x7F) {
+		    case GRUB_PCI_HEADER_PCI_BRIDGE:
+		    case GRUB_PCI_HEADER_CARDBUS_BRIDGE:
+		      {
+			grub_uint32_t bus_numbers;
+			grub_uint32_t secondary, subordinate, i;
+
+			addr = grub_pci_make_address
+			  (dev, GRUB_PCI_REG_SEC_LAT_TIMER);
+			bus_numbers = grub_pci_read (addr);
+			secondary = (bus_numbers >> 8) & 0xFF;
+			subordinate = (bus_numbers >> 16) & 0xFF;
+
+			grub_dprintf ("pci", "bridge range 0x%x-0x%x\n",
+				      secondary, subordinate);
+
+			for (i = secondary;
+			     i <= subordinate && i < GRUB_PCI_NUM_BUS; i++)
+			  bus_present[i / 8] |= (1 << (i % 8));
+
+			break;
+		      }
+		  }
+		}
+
 	      if (hook (dev, id))
 		return;
 

=== modified file 'include/grub/pci.h'
--- include/grub/pci.h	2010-08-11 02:18:07 +0000
+++ include/grub/pci.h	2011-01-02 17:32:28 +0000
@@ -68,6 +68,24 @@
 #define  GRUB_PCI_REG_MIN_GNT      0x3e
 #define  GRUB_PCI_REG_MAX_LAT      0x3f
 
+/* Alternative register meanings if header type is 1 (PCI-to-PCI bridge).  */
+#define  GRUB_PCI_REG_SEC_LAT_TIMER     0x18
+#define  GRUB_PCI_REG_SUB_BUS_NUMBER    0x19
+#define  GRUB_PCI_REG_SEC_BUS_NUMBER    0x1a
+#define  GRUB_PCI_REG_PRI_BUS_NUMBER    0x1b
+#define  GRUB_PCI_REG_SEC_STATUS        0x1c
+#define  GRUB_PCI_REG_IO_LIMIT          0x1e
+#define  GRUB_PCI_REG_IO_BASE           0x1f
+#define  GRUB_PCI_REG_MEM_LIMIT         0x20
+#define  GRUB_PCI_REG_MEM_BASE          0x22
+#define  GRUB_PCI_REG_PF_MEM_LIMIT      0x24
+#define  GRUB_PCI_REG_PF_MEM_BASE       0x26
+#define  GRUB_PCI_REG_PF_MEM_BASE_HI    0x28
+#define  GRUB_PCI_REG_PF_MEM_LIMIT_HI   0x2c
+#define  GRUB_PCI_REG_IO_LIMIT_HI       0x30
+#define  GRUB_PCI_REG_IO_BASE_HI        0x32
+#define  GRUB_PCI_REG_BRIDGE_CONTROL    0x3c
+
 #define  GRUB_PCI_COMMAND_IO_ENABLED    0x0001
 #define  GRUB_PCI_COMMAND_MEM_ENABLED   0x0002
 #define  GRUB_PCI_COMMAND_BUS_MASTER    0x0004
@@ -82,6 +100,10 @@
 #define  GRUB_PCI_STATUS_DEVSEL_TIMING_MASK 0x0600
 #define  GRUB_PCI_CLASS_SUBCLASS_VGA  0x0300
 
+#define  GRUB_PCI_HEADER_GENERAL        0x0
+#define  GRUB_PCI_HEADER_PCI_BRIDGE     0x1
+#define  GRUB_PCI_HEADER_CARDBUS_BRIDGE 0x2
+
 #ifndef ASM_FILE
 typedef grub_uint32_t grub_pci_id_t;
 

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Tue, 04 Jan 2011 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 04 Jan 2011 00:09:03 GMT) Full text and rfc822 format available.

Message #104 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: "P. J. McDermott" <pjm@nac.net>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Nuutti Kotivuori <naked@iki.fi>, Matt Zagrabelny <mzagrabe@d.umn.edu>, grub-devel@gnu.org
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Tue, 4 Jan 2011 00:06:54 +0000
On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
> On Sun, Jan 02, 2011 at 10:41:50PM +0000, Steve McIntyre wrote:
> > 2.iso:
> > 
> >   goes all the way through to bus ff and returns to a grub prompt
> 
> This is interesting and suggests a measure of coincidence.  What that
> patch did was skip remaining functions on a device that doesn't
> implement function 0, taking that as an indication that it doesn't
> exist.  This was based on:
> 
>   http://en.wikipedia.org/wiki/PCI_configuration_space#Bus_enumeration
> 
> Vladimir, are you OK with this change to trunk?
> 
> 2011-01-02  Colin Watson  <cjwatson@ubuntu.com>
> 
> 	* grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
> 	on devices that do not implement function 0.

I've applied this patch to trunk following an ack from Vladimir on IRC.
I'll prepare an updated package for unstable shortly.

> Nevertheless, I'm not confident that this will fix the problem on all
> machines, so I would like to sort out the bridge handling as well.

This may be more complicated than I thought.  Seth Goldberg pointed out
that my approach fails to deal with peer host bridges correctly (i.e.
cases where there are multiple trees, not just a single one rooted at
bus 0).  Linux deals with this by asking the PCI BIOS for the last bus
number, but at this point things get complicated as you have to do
things in different ways for different firmware.

I am inclined to try the first piece alone and see how this works out,
and if we can fix the affected systems by just probing function 0 on
every device on every bus then let it stand at that, even if it feels
less elegant.  Inventing new piles of infrastructure to handle a case
I'm unsure about in a subsystem I don't know well isn't my idea of a
good time.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Tue, 04 Jan 2011 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Goldberg <seth.goldberg@oracle.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 04 Jan 2011 02:18:03 GMT) Full text and rfc822 format available.

Message #109 received at 594967@bugs.debian.org (full text, mbox):

From: Seth Goldberg <seth.goldberg@oracle.com>
To: The development of GNU GRUB <grub-devel@gnu.org>
Cc: Steve McIntyre <steve@einval.com>, "grub-devel@gnu.org" <grub-devel@gnu.org>, "P. J. McDermott" <pjm@nac.net>, Nuutti Kotivuori <naked@iki.fi>, "594967@bugs.debian.org" <594967@bugs.debian.org>, "David A. Greene" <greened@obbligato.org>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Mon, 3 Jan 2011 16:26:25 -0800

On Jan 3, 2011, at 4:06 PM, Colin Watson <cjwatson@debian.org> wrote:

> On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
>> On Sun, Jan 02, 2011 at 10:41:50PM +0000, Steve McIntyre wrote:
>>> 2.iso:
>>> 
>>>  goes all the way through to bus ff and returns to a grub prompt
>> 
>> This is interesting and suggests a measure of coincidence.  What that
>> patch did was skip remaining functions on a device that doesn't
>> implement function 0, taking that as an indication that it doesn't
>> exist.  This was based on:
>> 
>>  http://en.wikipedia.org/wiki/PCI_configuration_space#Bus_enumeration
>> 
>> Vladimir, are you OK with this change to trunk?
>> 
>> 2011-01-02  Colin Watson  <cjwatson@ubuntu.com>
>> 
>>    * grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
>>    on devices that do not implement function 0.
> 
> I've applied this patch to trunk following an ack from Vladimir on IRC.
> I'll prepare an updated package for unstable shortly.
> 
>> Nevertheless, I'm not confident that this will fix the problem on all
>> machines, so I would like to sort out the bridge handling as well.
> 
> This may be more complicated than I thought.  Seth Goldberg pointed out
> that my approach fails to deal with peer host bridges correctly (i.e.
> cases where there are multiple trees, not just a single one rooted at
> bus 0).  Linux deals with this by asking the PCI BIOS for the last bus
> number, but at this point things get complicated as you have to do
> things in different ways for different firmware.
> 

  The proper way to do this on modern systems is to traverse the system's [DSDT/SSDT] ACPI tables looking for Device objects with the host bridge HID/CID and evaluate the BBN object (which can be a method), if it exists (which it must if there are multiple host bridges).  Since grub2 does not have a full ACPI interpreter (pulling in Intel's acpica would work ;), though the license may force it to be a grub-extra), going that route with anything less would never cover all systems' BBNs, so PCI BIOS would be simplest.  Things get a bit more complicated when a system has multiple PCI segments (i.e.: using the MCFG table, MMIO addresses that may be >4G, etc.), but that can be tackled later.

  --S



> I am inclined to try the first piece alone and see how this works out,
> and if we can fix the affected systems by just probing function 0 on
> every device on every bus then let it stand at that, even if it feels
> less elegant.  Inventing new piles of infrastructure to handle a case
> I'm unsure about in a subsystem I don't know well isn't my idea of a
> good time.
> 
> -- 
> Colin Watson                                       [cjwatson@debian.org]
> 
> _______________________________________________
> Grub-devel mailing list
> Grub-devel@gnu.org
> http://lists.gnu.org/mailman/listinfo/grub-devel




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Tue, 04 Jan 2011 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 04 Jan 2011 12:51:06 GMT) Full text and rfc822 format available.

Message #114 received at 594967@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: grub-devel@gnu.org, "P. J. McDermott" <pjm@nac.net>, Nuutti Kotivuori <naked@iki.fi>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Tue, 4 Jan 2011 12:46:54 +0000
On Tue, Jan 04, 2011 at 12:06:54AM +0000, Colin Watson wrote:
> On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
> > 2011-01-02  Colin Watson  <cjwatson@ubuntu.com>
> > 
> > 	* grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
> > 	on devices that do not implement function 0.
> 
> I've applied this patch to trunk following an ack from Vladimir on IRC.
> I'll prepare an updated package for unstable shortly.

Uploading now.  I'd appreciate confirmation from affected folks that
this is enough to make things boot.  If it is, we can perhaps avoid
worrying about the rest; otherwise, we'll have to get more creative.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 04 Jan 2011 13:06:07 GMT) Full text and rfc822 format available.

Notification sent to "David A. Greene" <greened@obbligato.org>:
Bug acknowledged by developer. (Tue, 04 Jan 2011 13:06:07 GMT) Full text and rfc822 format available.

Message #119 received at 594967-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 594967-close@bugs.debian.org
Subject: Bug#594967: fixed in grub2 1.98+20100804-12
Date: Tue, 04 Jan 2011 13:02:48 +0000
Source: grub2
Source-Version: 1.98+20100804-12

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-common_1.98+20100804-12_i386.deb
grub-coreboot_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-coreboot_1.98+20100804-12_i386.deb
grub-efi-amd64_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-efi-amd64_1.98+20100804-12_i386.deb
grub-efi-ia32_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-efi-ia32_1.98+20100804-12_i386.deb
grub-efi_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-efi_1.98+20100804-12_i386.deb
grub-emu_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-emu_1.98+20100804-12_i386.deb
grub-firmware-qemu_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.98+20100804-12_i386.deb
grub-ieee1275_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-ieee1275_1.98+20100804-12_i386.deb
grub-linuxbios_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-linuxbios_1.98+20100804-12_i386.deb
grub-pc_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-pc_1.98+20100804-12_i386.deb
grub-rescue-pc_1.98+20100804-12_i386.deb
  to main/g/grub2/grub-rescue-pc_1.98+20100804-12_i386.deb
grub2_1.98+20100804-12.diff.gz
  to main/g/grub2/grub2_1.98+20100804-12.diff.gz
grub2_1.98+20100804-12.dsc
  to main/g/grub2/grub2_1.98+20100804-12.dsc
grub2_1.98+20100804-12_i386.deb
  to main/g/grub2/grub2_1.98+20100804-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 04 Jan 2011 00:42:29 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.98+20100804-12
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 543924 594967 605567 605615 608449
Changes: 
 grub2 (1.98+20100804-12) unstable; urgency=low
 .
   * Backport from upstream:
     - Support big ext2 files (closes: #543924).
     - Fix gettext quoting to work with bash as /bin/sh, and make echo
       UTF-8-clean so that (at least) Catalan boot messages are displayed
       properly (closes: #605615).
     - Initialise next pointer when creating multiboot module (closes:
       #605567).
     - Fix PCI probing hangs by skipping remaining functions on devices that
       do not implement function 0 (closes: #594967).
   * Use semicolons rather than commas to separate size from model in debconf
     disk and partition descriptions; commas are too easily confused with the
     multiselect choice separator, and in particular make it impossible to
     answer questions properly in the editor frontend (closes: #608449).
     Unfuzzy all translations where possible.
Checksums-Sha1: 
 3ba001dce44202d1adaf0c3c20714ba10b35d9cd 2895 grub2_1.98+20100804-12.dsc
 e4c1ed17487ad4b3896d23ea7c5f9b1a3a110ee4 984753 grub2_1.98+20100804-12.diff.gz
 ac1fc022985a9b4e82b7d5a64c39d40e008cd3e2 282444 grub2_1.98+20100804-12_i386.deb
 5f97073ab786c3ce93fb4e98ddde341ee54cb2ff 281272 grub-linuxbios_1.98+20100804-12_i386.deb
 f6b586d679ea488f4b51079baf250fec2f5e70ad 281286 grub-efi_1.98+20100804-12_i386.deb
 ed55e89aa61a47350e14c4a0d7695422eb485e8f 1779000 grub-common_1.98+20100804-12_i386.deb
 729a65651f02ec72caec6627003c397e21e5d32c 2784722 grub-emu_1.98+20100804-12_i386.deb
 adbc23ec282f5268a64b880b2e3de79ffebfcb24 1020734 grub-pc_1.98+20100804-12_i386.deb
 63e1eead48eb4a4b31b9c24d99af169a8aeaf488 1476810 grub-rescue-pc_1.98+20100804-12_i386.deb
 aa0ac49b24f3d875cde91a41ebcb0e499870c396 776978 grub-coreboot_1.98+20100804-12_i386.deb
 784451db0d2cf06373a8ee1f92e29baa698e452f 811712 grub-efi-ia32_1.98+20100804-12_i386.deb
 6eaf1749776436236558b23b9d84c6eb558b16d5 884888 grub-efi-amd64_1.98+20100804-12_i386.deb
 64cb4bab0610942b83b8ac1fae34264e588adccd 767944 grub-ieee1275_1.98+20100804-12_i386.deb
 33c9c42e9ad088f2fef396fda1645c8f4742048f 708580 grub-firmware-qemu_1.98+20100804-12_i386.deb
Checksums-Sha256: 
 24aa7be6369f5a93b0a0b66a274c4ba6307b99e281932af0b3270328c3dfe406 2895 grub2_1.98+20100804-12.dsc
 f6b7df9f71ced4d86f4fa1815f3774eef3a5d6a7ca06bf687a0e6ce2b7c9eacf 984753 grub2_1.98+20100804-12.diff.gz
 c8d0ce61a106c7fa5f551430d125d9b2c1c67271a866f94eaa95a7d83fa3db03 282444 grub2_1.98+20100804-12_i386.deb
 473dfa616629e391137d23ff1cfcbd35e61ee1cfdd48089494b1cf15c232cf28 281272 grub-linuxbios_1.98+20100804-12_i386.deb
 77e7a8fd7db50c73289c93e9d71f63f6ed2917bc3ab828e68f62a7553d07ebb4 281286 grub-efi_1.98+20100804-12_i386.deb
 902217985dc7c28aa0b850e634f3c5ef42a8c2dcb3ef81d8dc0f99130a080079 1779000 grub-common_1.98+20100804-12_i386.deb
 209f3104e449812add2c2495113dec18c64113d1697a1b80941adddcdc31cfd9 2784722 grub-emu_1.98+20100804-12_i386.deb
 90df6ac558ba1ffa08ccabc394707810b3c094d0c2497349ed6016dc386c44fe 1020734 grub-pc_1.98+20100804-12_i386.deb
 4c814297880a106898db077dd0f818172879b84bae67f07ccb70e0b7f0a75f20 1476810 grub-rescue-pc_1.98+20100804-12_i386.deb
 be08cf92992731c5b3c29527c6ab4b7b14820d3c99c7aec99df7043d502cc98d 776978 grub-coreboot_1.98+20100804-12_i386.deb
 98ef4f0f339d5c0df264665135c6c4300a9c597c64ed7a930539081a6f0b0e3d 811712 grub-efi-ia32_1.98+20100804-12_i386.deb
 b78f0390c8b70142d8894aa7e8473edfffc29ae113e59ebe2a31dc8b4f3dc258 884888 grub-efi-amd64_1.98+20100804-12_i386.deb
 82dc8b49e97ebadc735f72060585444cb47ad9e7aece255a8aaae9950b3c9c30 767944 grub-ieee1275_1.98+20100804-12_i386.deb
 0e007386f42516ca2ae1dc2e7fb9b25824cc14f65862971c7aa7200a3f09f879 708580 grub-firmware-qemu_1.98+20100804-12_i386.deb
Files: 
 2ecd627643c01837fed44a618c2c6501 2895 admin extra grub2_1.98+20100804-12.dsc
 4c1faec1048efc3e99fbbfe7e017004f 984753 admin extra grub2_1.98+20100804-12.diff.gz
 8e2659da17e23aa27c8fbfefdcbbe99b 282444 admin extra grub2_1.98+20100804-12_i386.deb
 a35c6c347ce7d0c7036006acb4de6f71 281272 admin extra grub-linuxbios_1.98+20100804-12_i386.deb
 ef95c6a6241e6b56ec7017501a5a5a1f 281286 admin extra grub-efi_1.98+20100804-12_i386.deb
 e52ff2e59619bc3a3634189f3a7dc0be 1779000 admin optional grub-common_1.98+20100804-12_i386.deb
 efc2bf0a914d72cd90bfb2c60f958b6f 2784722 admin extra grub-emu_1.98+20100804-12_i386.deb
 8f0d6bdf9f32ffb460ddae1bbeb00dbe 1020734 admin optional grub-pc_1.98+20100804-12_i386.deb
 0dec20450a881c6f6dfa583852f3a674 1476810 admin extra grub-rescue-pc_1.98+20100804-12_i386.deb
 77e47633a45bbe2510fc7c12e3073121 776978 admin extra grub-coreboot_1.98+20100804-12_i386.deb
 8c0d05945d6164ce2beb95b9ffaed8da 811712 admin extra grub-efi-ia32_1.98+20100804-12_i386.deb
 901cc6cd6bd32c697631e2698e1d3892 884888 admin extra grub-efi-amd64_1.98+20100804-12_i386.deb
 98b9f188b9d06846c4b967c887e32c26 767944 admin extra grub-ieee1275_1.98+20100804-12_i386.deb
 17b596b2788bf3543052a3f07fdc8312 708580 admin extra grub-firmware-qemu_1.98+20100804-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTSMV2Tk1h9l9hlALAQibBQ//ZNM7o9sK3iCXmHO0J4xrOs9hXmGr5XqK
F5b2ZBfNVZzdSjZo4waYk2iTLE6IVis9VBhFkz4QHmf4HE3NrIiv1u5iazNBPvbT
CcxVW8uj/85tGAZafmumbD28s5yhA8Qva/j44+hyOfNTiZ+0M5rKQmHSdoebdhU9
3dQXCMEEoiFUFhhZeLHqXCAxL1fr79rA6DQHoOCc9JL/+fL0vbeQ5nWsjWoehH+i
D4Mjvb9hxyRdm8l4PMJVIMKEWTzk/jCium+DDbN/m/7zkINd2RmdlBn5Bsy9e1li
0IdKFyUeG4NvTIakZW6lZsv/FaZ3EgdYkhSxPE957H8xNidLMrACLksw45kWUNss
FPytF/H3IgtYUmKFILvZzUQVD62W+oTOhc6AWO7jE7ZHVVb7UDlmdstbSPJpxn4H
Y4ipa0yK8R6uN+29lxibfeI547XX6J9revQNZH6auL+Jf6yQm0QTLJoppvzScecD
ELfouYBE9v1N0uJtRKCZeTGBcl7t6o2tCncHJP4pIElIH9FkLWUsGaYZmsaA26d5
iY1X5eeY+ssV/kVfTE/MhHe6EGg4W+7Tt5Q0RDt5M8+K2YuPmVt7/TkXYJvvQDqx
1VbALUfMZrVLG9Ko3iv1kpJHEmGLRk+lSx9IXNUzqMhgNcI5s39NEkXyMvZmagmW
oe2BGgy6eFU=
=v22R
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 04 Jan 2011 13:06:08 GMT) Full text and rfc822 format available.

Notification sent to Luc Novales <luc.novales@free.fr>:
Bug acknowledged by developer. (Tue, 04 Jan 2011 13:06:09 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 04 Jan 2011 18:06:03 GMT) Full text and rfc822 format available.

Notification sent to "David A. Greene" <greened@obbligato.org>:
Bug acknowledged by developer. (Tue, 04 Jan 2011 18:06:03 GMT) Full text and rfc822 format available.

Message #129 received at 594967-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 594967-close@bugs.debian.org
Subject: Bug#594967: fixed in grub2 1.99~20110104-1
Date: Tue, 04 Jan 2011 18:02:40 +0000
Source: grub2
Source-Version: 1.99~20110104-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-common_1.99~20110104-1_i386.deb
grub-coreboot_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-coreboot_1.99~20110104-1_i386.deb
grub-efi-amd64_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-efi-amd64_1.99~20110104-1_i386.deb
grub-efi-ia32_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-efi-ia32_1.99~20110104-1_i386.deb
grub-efi_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-efi_1.99~20110104-1_i386.deb
grub-emu_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-emu_1.99~20110104-1_i386.deb
grub-firmware-qemu_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.99~20110104-1_i386.deb
grub-ieee1275_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-ieee1275_1.99~20110104-1_i386.deb
grub-linuxbios_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-linuxbios_1.99~20110104-1_i386.deb
grub-pc_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-pc_1.99~20110104-1_i386.deb
grub-rescue-pc_1.99~20110104-1_i386.deb
  to main/g/grub2/grub-rescue-pc_1.99~20110104-1_i386.deb
grub2_1.99~20110104-1.diff.gz
  to main/g/grub2/grub2_1.99~20110104-1.diff.gz
grub2_1.99~20110104-1.dsc
  to main/g/grub2/grub2_1.99~20110104-1.dsc
grub2_1.99~20110104-1_i386.deb
  to main/g/grub2/grub2_1.99~20110104-1_i386.deb
grub2_1.99~20110104.orig.tar.gz
  to main/g/grub2/grub2_1.99~20110104.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 04 Jan 2011 16:12:45 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.99~20110104-1
Distribution: experimental
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 594967 605357 607687 607867
Changes: 
 grub2 (1.99~20110104-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - Don't emit drivemap directive for Windows Server 2008 (closes:
       #607687).
     - Don't add spurious RAID array members (closes: #605357).
     - Improve presentation of Xen menu entries (closes: #607867).
     - Fix PCI probing hangs by skipping remaining functions on devices that
       do not implement function 0 (closes: #594967).
     - Fix typo in descriptions of extract_legacy_entries_source and
       extract_legacy_entries_configfile (LP: #696721).
   * Merge 1.98+20100804-12:
     - Use semicolons rather than commas to separate size from model in
       debconf disk and partition descriptions.
   * Add full btrfs support, from the upstream 'butter' branch.
   * Support partitioned loop devices and improve devmapper support, from the
     upstream 'devmapper' branch.
   * Add squashfs 4 support, from the upstream 'squash' branch.
Checksums-Sha1: 
 65eeea6ae5223ac30e09f01fab0f341914c649de 2877 grub2_1.99~20110104-1.dsc
 51512d2e241689aac335b1ee0dfc5813b48ea83d 3661264 grub2_1.99~20110104.orig.tar.gz
 cf8b2e9381b68cd3677af00a3ebf1a96ce12418b 486846 grub2_1.99~20110104-1.diff.gz
 dedd0daae36f34a1a3a587d9fe2e7144f7d4d6c5 324218 grub2_1.99~20110104-1_i386.deb
 722c78bb93753a4fcd54181b67df68a53b9c555c 322796 grub-linuxbios_1.99~20110104-1_i386.deb
 2919a09dedde74340716eb4aa744f2a25ae61e2a 322790 grub-efi_1.99~20110104-1_i386.deb
 905c3948b05ec8b8d585c2de08c6f32644013803 2114234 grub-common_1.99~20110104-1_i386.deb
 135df44d2fd30cc7d0a8f7e5857bed3f4759bcd8 3297994 grub-emu_1.99~20110104-1_i386.deb
 a564a2917167fa49a5afb223cc81b4d9d7b3d9c9 1168110 grub-pc_1.99~20110104-1_i386.deb
 790d39841ec02b6b6134d92ef03f4a38658bff52 1547552 grub-rescue-pc_1.99~20110104-1_i386.deb
 a878a1c81e6f54a9fe1caf2cb67ca721562abdcd 927384 grub-coreboot_1.99~20110104-1_i386.deb
 4522316aba34a45f2b511aebb1ddcb5ef165fba2 942000 grub-efi-ia32_1.99~20110104-1_i386.deb
 72b240adeba13a43eb49aaa3533899868ec25c98 1032960 grub-efi-amd64_1.99~20110104-1_i386.deb
 ee8845ef1dd17122240f8b7f1752dd0edc8e1956 923708 grub-ieee1275_1.99~20110104-1_i386.deb
 40d61e31b750b4f60ae67eb5c1daa2e4100c830f 841822 grub-firmware-qemu_1.99~20110104-1_i386.deb
Checksums-Sha256: 
 bcfab7ad6af2b0a8cea5042127cc72194fa4fcf5c672e28dfe68a1cf804f719d 2877 grub2_1.99~20110104-1.dsc
 8d8292e9d7bacf04d96ea8698d1b3adca02a064b508992c51deedce4ffa12b26 3661264 grub2_1.99~20110104.orig.tar.gz
 c1f7fefb8a51744f1af10912831968c22727ba052dfeb80f82fda3e8b2576749 486846 grub2_1.99~20110104-1.diff.gz
 14ff3e8e62e26bdd8ec15dbdf3a2eb6a3735156a7cafa2a7d88ea2fad0ee3bd5 324218 grub2_1.99~20110104-1_i386.deb
 9ff575a5572cce406c0f2eefef58cad7a357682a74b79faeb9735281f8859bdc 322796 grub-linuxbios_1.99~20110104-1_i386.deb
 9b7aa8ab34ee4e007db798d2ea95539688a76e1b612a6a65126e94da4e9c0883 322790 grub-efi_1.99~20110104-1_i386.deb
 3ea3e70590bd2886d8a481b4d60d2b61b255679c97c71fc8ff2a91a3148ffd00 2114234 grub-common_1.99~20110104-1_i386.deb
 dbdc51871b49d59a779936a70c0022a0189b26e1859bdca361fb335791f5b523 3297994 grub-emu_1.99~20110104-1_i386.deb
 1b1dc91a95c3d90243f43ee4423a9fbf1c57c6ea35026d99ba2346b914ebd07d 1168110 grub-pc_1.99~20110104-1_i386.deb
 410c94b2b486e6431077d7bddfa6694873af6c158ec975327684f3211ba77eac 1547552 grub-rescue-pc_1.99~20110104-1_i386.deb
 77fb82e688f80a4bd6340c50dba4d171b7d42d94131d5276f8693ac7b5649937 927384 grub-coreboot_1.99~20110104-1_i386.deb
 446e2757028f7042b8dd7dc67542e1466b5bc1596cefc02efb468bd52fe7f49a 942000 grub-efi-ia32_1.99~20110104-1_i386.deb
 06cc06ea36105376fe2abcf9afa4cc4b4cec6f1dacfa1177dbe7fd5ebccd09cf 1032960 grub-efi-amd64_1.99~20110104-1_i386.deb
 ec7140cb05e3067f593fb8caa7290725c7f18da0541105bdb94f35a675dc63c4 923708 grub-ieee1275_1.99~20110104-1_i386.deb
 1aa583ad6916389be54adb89be5ece4f63b08331eecd2833d43281780b3eb3d8 841822 grub-firmware-qemu_1.99~20110104-1_i386.deb
Files: 
 3d311da525826a0d7c2318f1ba96ff81 2877 admin extra grub2_1.99~20110104-1.dsc
 eac27b81f58d332e9d52baf82da0f789 3661264 admin extra grub2_1.99~20110104.orig.tar.gz
 cadcde59026cfdd423305f0677e022d7 486846 admin extra grub2_1.99~20110104-1.diff.gz
 3af5417e440a96b417ea41d72b73f5a7 324218 admin extra grub2_1.99~20110104-1_i386.deb
 73fc74725c07eef9f14857ffe110d632 322796 admin extra grub-linuxbios_1.99~20110104-1_i386.deb
 deec8a6bea07ee8f8b0248c20ca9cffb 322790 admin extra grub-efi_1.99~20110104-1_i386.deb
 7e8db749d7d4909b1a6944114861f5ea 2114234 admin optional grub-common_1.99~20110104-1_i386.deb
 cc932137bcafd52b835e25ef4ff2b071 3297994 admin extra grub-emu_1.99~20110104-1_i386.deb
 f20a8dbb1bf29e285254c479c6413418 1168110 admin optional grub-pc_1.99~20110104-1_i386.deb
 43ad1e2bd641c18410308aa8010c6768 1547552 admin extra grub-rescue-pc_1.99~20110104-1_i386.deb
 1a596b18a5ba0d5af20abcdaeb930f67 927384 admin extra grub-coreboot_1.99~20110104-1_i386.deb
 49d10d032e63d421fdf14c95542db1f7 942000 admin extra grub-efi-ia32_1.99~20110104-1_i386.deb
 ea3bc9672b23e6030797862226d2a014 1032960 admin extra grub-efi-amd64_1.99~20110104-1_i386.deb
 4b021f54a9766c4b16ddf1666296de0f 923708 admin extra grub-ieee1275_1.99~20110104-1_i386.deb
 df0e9be609daff890921cae8c5392849 841822 admin extra grub-firmware-qemu_1.99~20110104-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTSNddjk1h9l9hlALAQhQAw//f8s4x+xi1Yt1xTUh7clbwlFSdd1vwqCV
42ceuRxaBeSmUY+5E1AUIW7vOl2ZAcimwFIBbXZX82/bdhKh6M/f59fHmyDLZ1is
ynUZoJ9ryXpQi3NVGwo7JasFG1wnZFn0oopnR4WvOZjY/Mh4TKW+MIAidsISveP3
XKMj48zop1OFDVMgQPPber+4rP5tzITbuMYGTZIJf4+VF/0EJB36ismr/c7UUoUI
TCh78InGEbaXiTKwrRSWkV8zdGdvJ+dVsPmIhtRf33DM3vUdP/tO3jI4ZlRpmIvO
DAScr7hKpmnqYzZXpusPYMUbJvQ03e8W+Kj1tS8wu/juPNwoGRtU55IajDC9N4Xr
S/es214FOP/goLMh+dSLL/daZ3W6dKTtJ9pWV4Ut1xdrnnUDFQpoFBPp2DgIFV+T
z+SzIIXwVUjmgtQpSZpqqDVVHa2l67QHgORT/PG913JiyZHmJGPzHE1YRKl8to9W
t1dZ3o78qBiKU9KauSbTlv5KHIQiYPrCFLW5VDqxBosfo6lZ9CUbG3S1jiQ+JhRd
01WyhFUxOQUBcyqpf69M4agfzPcwUhh5bxjL1JeSvED2ufP1M17wZi6AZH4uOOzk
qfHpF82Ua1IE5gBEdQgmYsSs+ju9c02DMCPiBRFSEw5pH07iBXn1PlCUp4OmYgy1
ZrIjzgHpkSw=
=BntV
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 04 Jan 2011 18:06:04 GMT) Full text and rfc822 format available.

Notification sent to Luc Novales <luc.novales@free.fr>:
Bug acknowledged by developer. (Tue, 04 Jan 2011 18:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Wed, 05 Jan 2011 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 05 Jan 2011 00:15:03 GMT) Full text and rfc822 format available.

Message #139 received at 594967@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Colin Watson <cjwatson@debian.org>
Cc: grub-devel@gnu.org, "P. J. McDermott" <pjm@nac.net>, Nuutti Kotivuori <naked@iki.fi>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Tue, 4 Jan 2011 22:58:08 +0000
On Tue, Jan 04, 2011 at 12:46:54PM +0000, Colin Watson wrote:
>On Tue, Jan 04, 2011 at 12:06:54AM +0000, Colin Watson wrote:
>> On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
>> > 2011-01-02  Colin Watson  <cjwatson@ubuntu.com>
>> > 
>> > 	* grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
>> > 	on devices that do not implement function 0.
>> 
>> I've applied this patch to trunk following an ack from Vladimir on IRC.
>> I'll prepare an updated package for unstable shortly.
>
>Uploading now.  I'd appreciate confirmation from affected folks that
>this is enough to make things boot.  If it is, we can perhaps avoid
>worrying about the rest; otherwise, we'll have to get more creative.

Just tested on Jo's laptop now, and the new version works exactly as
hoped. Thanks for the quick fix! Jo says "many thankyous" too. :-)

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Since phone messaging became popular, the young generation has lost the
 ability to read or write anything that is longer than one hundred and sixty
 characters."  -- Ignatios Souvatzis





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Wed, 05 Jan 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zagrabelny <mzagrabe@d.umn.edu>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 05 Jan 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #144 received at 594967@bugs.debian.org (full text, mbox):

From: Matt Zagrabelny <mzagrabe@d.umn.edu>
To: Colin Watson <cjwatson@debian.org>
Cc: Steve McIntyre <steve@einval.com>, grub-devel@gnu.org, "P. J. McDermott" <pjm@nac.net>, Nuutti Kotivuori <naked@iki.fi>, 594967@bugs.debian.org, "David A. Greene" <greened@obbligato.org>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Wed, 5 Jan 2011 10:57:30 -0600
On Tue, Jan 4, 2011 at 6:46 AM, Colin Watson <cjwatson@debian.org> wrote:
> On Tue, Jan 04, 2011 at 12:06:54AM +0000, Colin Watson wrote:
>> On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
>> > 2011-01-02  Colin Watson  <cjwatson@ubuntu.com>
>> >
>> >     * grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
>> >     on devices that do not implement function 0.
>>
>> I've applied this patch to trunk following an ack from Vladimir on IRC.
>> I'll prepare an updated package for unstable shortly.
>
> Uploading now.  I'd appreciate confirmation from affected folks that
> this is enough to make things boot.  If it is, we can perhaps avoid
> worrying about the rest; otherwise, we'll have to get more creative.

"Graphical" booting is back. Thanks Colin.

-matt




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Wed, 12 Jan 2011 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 12 Jan 2011 06:03:02 GMT) Full text and rfc822 format available.

Message #149 received at 594967@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: Colin Watson <cjwatson@debian.org>, 594967@bugs.debian.org
Cc: Steve McIntyre <steve@einval.com>, grub-devel@gnu.org, Nuutti Kotivuori <naked@iki.fi>, "David A. Greene" <greened@obbligato.org>, Matt Zagrabelny <mzagrabe@d.umn.edu>
Subject: Re: Bug#594967: Bug #594967: [poulsbo] grub-pc Hangs After "Welcome to GRUB!"
Date: Wed, 12 Jan 2011 01:03:45 -0500
On 01/04/2011 07:46 AM, Colin Watson wrote:
> On Tue, Jan 04, 2011 at 12:06:54AM +0000, Colin Watson wrote:
>   
>> On Mon, Jan 03, 2011 at 12:13:01AM +0000, Colin Watson wrote:
>>     
>>> 2011-01-02  Colin Watson  <cjwatson@ubuntu.com>
>>>
>>> 	* grub-core/bus/pci.c (grub_pci_iterate): Skip remaining functions
>>> 	on devices that do not implement function 0.
>>>       
>> I've applied this patch to trunk following an ack from Vladimir on IRC.
>> I'll prepare an updated package for unstable shortly.
>>     
> Uploading now.  I'd appreciate confirmation from affected folks that
> this is enough to make things boot.  If it is, we can perhaps avoid
> worrying about the rest; otherwise, we'll have to get more creative.
>
> Thanks,
>   

Sorry I haven't responded to this more quickly; I was busy with some
personal business last week. Thanks for the patch, and it does make GRUB
2's graphical menu load on my AO751h. :)

I noticed an odd lingering aesthetics issue though; most of the
background image is missing. The only parts of Squeeze's
`spacefun-grub.png' that are visible are the bottom of Earth and the two
stars on the top-right corner (basically, anything along the edges).
I've consistently reproduced this on two installations (one is a fresh
installation on a flash drive), even after purging and reinstalling
grub-pc and grub-common. The odd thing though is that it only happens
with desktop-base 6.0.5. The `spacefun-grub.png' from version 6.0.2 is
displayed in full.

P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Tue, 08 Feb 2011 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schwingen <rincewind@discworld.dascon.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 08 Feb 2011 10:03:03 GMT) Full text and rfc822 format available.

Message #154 received at 594967@bugs.debian.org (full text, mbox):

From: Michael Schwingen <rincewind@discworld.dascon.de>
To: 594967@bugs.debian.org
Subject: still not fixed?
Date: Tue, 08 Feb 2011 10:50:55 +0100
Hi,

I upgraded a system to squeeze yesterday and have the same problem 
(system hangs). I tried the grub-pc packages from 
squeeze(1.98+20100804-14) as well as 1.99~rc1-1 from 
debian/pool/main/g/grub2 - both hang. grub-legacy works fine on the system.

Is 1.99~rc1-1 newer or older than grub-pc_1.99~20110104-1_i386.deb that 
is mentioned in this bug report as fixing the problem? If it is older, 
where can I get the fixed package?

cu
Michael






Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 08 Feb 2011 12:36:28 GMT) Full text and rfc822 format available.

Notification sent to "David A. Greene" <greened@obbligato.org>:
Bug acknowledged by developer. (Tue, 08 Feb 2011 12:36:28 GMT) Full text and rfc822 format available.

Message #159 received at 594967-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 594967-close@bugs.debian.org
Subject: Bug#594967: fixed in grub2 1.99~rc1-2
Date: Tue, 08 Feb 2011 12:32:37 +0000
Source: grub2
Source-Version: 1.99~rc1-2

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-common_1.99~rc1-2_i386.deb
grub-coreboot_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-coreboot_1.99~rc1-2_i386.deb
grub-efi-amd64_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-efi-amd64_1.99~rc1-2_i386.deb
grub-efi-ia32_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-efi-ia32_1.99~rc1-2_i386.deb
grub-efi_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-efi_1.99~rc1-2_i386.deb
grub-emu_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-emu_1.99~rc1-2_i386.deb
grub-firmware-qemu_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.99~rc1-2_i386.deb
grub-ieee1275_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-ieee1275_1.99~rc1-2_i386.deb
grub-linuxbios_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-linuxbios_1.99~rc1-2_i386.deb
grub-pc_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-pc_1.99~rc1-2_i386.deb
grub-rescue-pc_1.99~rc1-2_i386.deb
  to main/g/grub2/grub-rescue-pc_1.99~rc1-2_i386.deb
grub2_1.99~rc1-2.diff.gz
  to main/g/grub2/grub2_1.99~rc1-2.diff.gz
grub2_1.99~rc1-2.dsc
  to main/g/grub2/grub2_1.99~rc1-2.dsc
grub2_1.99~rc1-2_i386.deb
  to main/g/grub2/grub2_1.99~rc1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 08 Feb 2011 11:39:26 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.99~rc1-2
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 543924 550658 550702 551627 560823 569678 588293 589325 591416 593347 594967 603354 604003 604102 605357 605567 605615 606035 606184 607687 607867 608263 609584 609590 609671 609814 609818
Changes: 
 grub2 (1.99~rc1-2) unstable; urgency=low
 .
   * Merge 1.98+20100804-13 and 1.98+20100804-14, updating translations:
     - Kazakh (Baurzhan Muftakhidinov / Timur Birsh).
   * mkconfig_skip_dmcrypt.patch: Refer to GRUB_PRELOAD_MODULES rather than
     suggesting people write a /etc/grub.d/01_modules script (thanks, Jordan
     Uggla).
   * Handle empty dir passed to grub_find_root_device_from_mountinfo; fixes
     grub-mkrelpath on btrfs subvolumes (LP: #712029).
   * Add rootflags=subvol=<name> if / is on a btrfs subvolume (LP: #712029).
   * Upload to unstable.
 .
 grub2 (1.99~rc1-1) experimental; urgency=low
 .
   [ Colin Watson ]
   * New upstream release candidate.
 .
   [ Alexander Kurtz ]
   * 05_debian_theme:
     - If we find a background image and no colours were specified, use
       upstream defaults for color_normal and color_highlight rather than
       setting color_normal to black/black.
     - Make the code more readable by replacing code for handling
       alternatives.
     - Make the code for searching for pictures in /boot/grub more readable
       and robust (for example against newlines in the filename).
     - Don't try the other alternatives when $GRUB_BACKGROUND is set; you can
       now add GRUB_BACKGROUND= to /etc/default/grub to force no background
       image (closes: #608263).
 .
 grub2 (1.99~20110112-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - Disable ieee1275_fb on sparc (closes: #560823).
     - Fix pf2 font generation on big-endian platforms (closes: #609818).
   * branch_butter.patch: Resolve the device returned by
     grub_find_root_device_from_mountinfo or find_root_device_from_libzfs
     using grub_find_device (closes: #609590, #609814, LP: #700147).
 .
 grub2 (1.99~20110111-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - Don't check amount of low memory, as reportedly INT 12h can be broken
       and if low memory is too low we wouldn't have gotten into
       grub_machine_init anyway (closes: #588293, LP: #513528).
     - Submenu default support (LP: #691878).
     - Fix optimisation-dependent grub-mklayout crash (closes: #609584).
   * branch_butter.patch: Don't free an uninitialised pointer if /proc is
     unmounted (LP: #697493).
   * Add a po/LINGUAS file listing the translations we've synced from the TP
     (closes: #609671).
 .
 grub2 (1.99~20110106-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - Check that named RAID array devices exist before using them (closes:
       #606035).
     - Clear terminfo output on initialisation (closes: #569678).
     - Fix grub-probe when btrfs is on / without a separate /boot.
 .
 grub2 (1.99~20110104-2) experimental; urgency=low
 .
   * Support long command lines as per the 2.06 Linux boot protocol, from the
     upstream 'longlinuxcmd' branch.
   * Add a background_color command, from the upstream 'parse-color' branch.
   * Update branch_devmapper.patch, adding a #include to fix a build failure
     on Ubuntu amd64.
   * When embedding the core image in a post-MBR gap, check for and avoid
     sectors matching any of a number of known signatures, from the upstream
     'embed-sectors' branch.
 .
 grub2 (1.99~20110104-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - Don't emit drivemap directive for Windows Server 2008 (closes:
       #607687).
     - Don't add spurious RAID array members (closes: #605357).
     - Improve presentation of Xen menu entries (closes: #607867).
     - Fix PCI probing hangs by skipping remaining functions on devices that
       do not implement function 0 (closes: #594967).
     - Fix typo in descriptions of extract_legacy_entries_source and
       extract_legacy_entries_configfile (LP: #696721).
   * Merge 1.98+20100804-12:
     - Use semicolons rather than commas to separate size from model in
       debconf disk and partition descriptions.
   * Add full btrfs support, from the upstream 'butter' branch.
   * Support partitioned loop devices and improve devmapper support, from the
     upstream 'devmapper' branch.
   * Add squashfs 4 support, from the upstream 'squash' branch.
 .
 grub2 (1.99~20101221-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - Initialise next pointer when creating multiboot module (closes:
       #605567).
     - Fix gettext quoting to work with bash as /bin/sh, and make echo
       UTF-8-clean so that (at least) Catalan boot messages are displayed
       properly (closes: #605615).
     - Fix use of uninitialised memory in Reed-Solomon recovery code
       (LP: #686705).
 .
 grub2 (1.99~20101210-2) experimental; urgency=low
 .
   * Automatically remove MD devices from device.map on upgrade, since the
     BIOS cannot read from these and including them in device.map will break
     GRUB's ability to read from such devices (LP: #690030).
   * Merge 1.98+20100804-9, 1.98+20100804-10, and 1.98+20100804-11:
     - Apply debconf template review by debian-l10n-english and mark several
       more strings for translation, thanks to David Prévot and Justin B Rye.
     - Incorporate rewritten 05_debian_theme by Alexander Kurtz, which works
       when /usr is inaccessible by GRUB.
 .
 grub2 (1.99~20101210-1) experimental; urgency=low
 .
   * New Bazaar snapshot.
     - ZFS moved into grub-core.
     - Extend gettext to fall back from ll_CC to ll, and set lang to include
       country part by default so that Chinese works (LP: #686788).
   * Remove grub-mknetdir from grub-emu.
   * Exit silently from zz-update-grub kernel hook if update-grub does not
     exist (e.g. if grub-pc has been removed but not purged; closes:
     #606184).
 .
 grub2 (1.99~20101126-1) experimental; urgency=low
 .
   * New Bazaar snapshot (mipsel build fix, LVM-on-RAID probing fix).
   * Fix comma-separation in handling of grub-pc/install_devices.
 .
 grub2 (1.99~20101124-1) experimental; urgency=low
 .
   * New Bazaar snapshot (command priorities, build fixes, grub-mkdevicemap
     segfault).
   * Don't try to build grub-efi-amd64 on kfreebsd-i386 or hurd-i386
     (requires gcc-4.4-multilib).
 .
 grub2 (1.99~20101123-1) experimental; urgency=low
 .
   * New Bazaar snapshot (build fixes).
   * Build-depend on qemu-utils and parted on non-Hurd architectures.
   * qemu_img_exists.patch: Skip partmap test if qemu-img doesn't exist (as
     is the case on the Hurd).
   * Make grub-efi-ia32 and grub-efi-amd64 depend on efibootmgr so that
     grub-install works properly.
   * Upgrade the installed core image when upgrading grub-efi-ia32 or
     grub-efi-amd64, although only if /boot/efi/EFI/<id> (where <id> is an
     identifier based on GRUB_DISTRIBUTOR, e.g. 'debian') already exists.
   * Re-expand a couple of dpkg architecture wildcards to exclude certain
     special cases: gcc-4.4-multilib is not available on kfreebsd-i386 or
     hurd-i386, and qemu-system is not available on hurd-i386.
 .
 grub2 (1.99~20101122-1) experimental; urgency=low
 .
   [ Colin Watson ]
   * New Bazaar snapshot.  Too many changes to list in full, but some of the
     more user-visible ones are as follows:
     - GRUB script:
       + Function parameters, "break", "continue", "shift", "setparams",
         "return", and "!".
       + "export" command supports multiple variable names.
       + Multi-line quoted strings support.
       + Wildcard expansion.
     - sendkey support.
     - USB hotunplugging and USB serial support.
     - Rename CD-ROM to cd on BIOS.
     - Add new --boot-directory option to grub-install, grub-reboot, and
       grub-set-default; the old --root-directory option is still accepted
       but was often confusing.
     - Basic btrfs detection/UUID support (but no file reading yet).
     - bash-completion for utilities.
     - If a device is listed in device.map, always assume that it is
       BIOS-visible rather than using extra layers such as LVM or RAID.
     - Add grub-mknetdir script (closes: #550658).
     - Remove deprecated "root" command.
     - Handle RAID devices containing virtio components.
     - GRUB Legacy configuration file support (via grub-menulst2cfg).
     - Keyboard layout support (via grub-mklayout and grub-kbdcomp).
     - Check generated grub.cfg for syntax errors before saving.
     - Pause execution for at most ten seconds if any errors are displayed,
       so that the user has a chance to see them.
     - Support submenus.
     - Write embedding zone using Reed-Solomon, so that it's robust against
       being partially overwritten (closes: #550702, #591416, #593347).
     - GRUB_DISABLE_LINUX_RECOVERY and GRUB_DISABLE_NETBSD_RECOVERY merged
       into a single GRUB_DISABLE_RECOVERY variable.
     - Fix loader memory allocation failure (closes: #551627).
     - Don't call savedefault on recovery entries (closes: #589325).
     - Support triple-indirect blocks on ext2 (closes: #543924).
     - Recognise DDF1 fake RAID (closes: #603354).
 .
   [ Robert Millan ]
   * Use dpkg architecture wildcards.
 .
   [ Updated translations ]
   * Slovenian (Vanja Cvelbar).  Closes: #604003
   * Dzongkha (dawa pemo via Tenzin Dendup).  Closes: #604102
Checksums-Sha1: 
 c136f0f94ecd624dfe3ba251901891210f3fa5aa 2842 grub2_1.99~rc1-2.dsc
 61b7e4616a958f5b98d008745887175d7718c65b 587228 grub2_1.99~rc1-2.diff.gz
 d0c14c69bfd3a5bc1ab66510b8c2f9a44e459bd1 328456 grub2_1.99~rc1-2_i386.deb
 178ce5ef7396e5b18ad66b57b6f59542104e8215 326974 grub-linuxbios_1.99~rc1-2_i386.deb
 8ef2ab72a898f042d00ba4ff08b5eac36cb66086 326974 grub-efi_1.99~rc1-2_i386.deb
 ac8dfd52c68a167b855cbddf2fc35ba33f041de4 2224290 grub-common_1.99~rc1-2_i386.deb
 6237a4c04ee706b59030e74a59f33430c2350c89 3314630 grub-emu_1.99~rc1-2_i386.deb
 d140b2d94abcbac8287b8576af595a3d47999325 1177054 grub-pc_1.99~rc1-2_i386.deb
 8608cb1c8c380ce7de71fb5229c5dc62e5b30646 1555406 grub-rescue-pc_1.99~rc1-2_i386.deb
 d995a3495986e2959987e4596710008f513a9694 934496 grub-coreboot_1.99~rc1-2_i386.deb
 b6780389b7773e91f40dd39276e317d9fc4c96ab 949082 grub-efi-ia32_1.99~rc1-2_i386.deb
 0b389e8806bbf80ec6ae814fbfb6e0723eef3091 1039002 grub-efi-amd64_1.99~rc1-2_i386.deb
 354e2de99b8e1e624cb89b25eaff29bcb3f14fdd 931246 grub-ieee1275_1.99~rc1-2_i386.deb
 e79b48847d111b0f19f1b662f752566d0f4a42c9 847358 grub-firmware-qemu_1.99~rc1-2_i386.deb
Checksums-Sha256: 
 db04ac28b1c9f0b04e02c2be55263f129f5d281fef702319258313539835a5fe 2842 grub2_1.99~rc1-2.dsc
 376167babca40f68b7922a5f510bd77c905ba97a87a95e6d0bfb2f9918ee5cb5 587228 grub2_1.99~rc1-2.diff.gz
 25b077a2355e16f87d0caf2f0566cf804ca2729ad2a8e642cacfd37b45572ebc 328456 grub2_1.99~rc1-2_i386.deb
 83805e8d8ad6231769d4102cc6035c70e78c6e597594cd686300fe9c1ae7df03 326974 grub-linuxbios_1.99~rc1-2_i386.deb
 cec355f9d6b3a769bec20d8f7e96ca928db8c96d346d498366876331c67cfa13 326974 grub-efi_1.99~rc1-2_i386.deb
 1f3b293e7763145c66c9c156ab94928a2fb323adf33f256d83ee854626bc479e 2224290 grub-common_1.99~rc1-2_i386.deb
 01952c9ba47551270cd919952eca886b2ea795c77bc47ffdc1dd251ca3758c08 3314630 grub-emu_1.99~rc1-2_i386.deb
 c9e7ef14b18e5d254f9cfd427d6045ea9728fb900d635438ea3220c922406912 1177054 grub-pc_1.99~rc1-2_i386.deb
 a9f4c1934d6a9b12468bbe3de208b4f5a950cc8e18032493297360648c784116 1555406 grub-rescue-pc_1.99~rc1-2_i386.deb
 051feefe62cc4b0e6d76176a13519ad52362072dac360fbe17057be6decd1a66 934496 grub-coreboot_1.99~rc1-2_i386.deb
 1898da57abbd4febe0215c937f4e4efa6b57b90630d917f4d898d3d468426970 949082 grub-efi-ia32_1.99~rc1-2_i386.deb
 5fae0f37143c04f268bca25cf17a34cd3fa443616aacdbf20a559dcaf4691415 1039002 grub-efi-amd64_1.99~rc1-2_i386.deb
 5b3ee6debe56e5609e2c60beea6d1243b8e1e396bb89621dd81c82f2bff1c0c5 931246 grub-ieee1275_1.99~rc1-2_i386.deb
 e9fd293a4faaadaae37075fe0208a19ada9ac905990e30278dd6f9f4d3d7a2c8 847358 grub-firmware-qemu_1.99~rc1-2_i386.deb
Files: 
 5845367a82f3169a56f625bd619ed6c0 2842 admin extra grub2_1.99~rc1-2.dsc
 612a0c4b27f2b961dff04bb11f99d4bc 587228 admin extra grub2_1.99~rc1-2.diff.gz
 ed0627a4b835265e3f9c4665a25418ab 328456 admin extra grub2_1.99~rc1-2_i386.deb
 5fe46b4fd79a51aaed15beb0ffce7fff 326974 admin extra grub-linuxbios_1.99~rc1-2_i386.deb
 89b3d1e4336fbc81cd87fb82a9b7e6df 326974 admin extra grub-efi_1.99~rc1-2_i386.deb
 b2548c865279061ad544dd7c7783982f 2224290 admin optional grub-common_1.99~rc1-2_i386.deb
 04f85ace27962d849cbfe51ab5c64f68 3314630 admin extra grub-emu_1.99~rc1-2_i386.deb
 24d4af91915014f5621d3efd86414f3d 1177054 admin optional grub-pc_1.99~rc1-2_i386.deb
 0e418e7b46e2fdb26632e874fe3cc979 1555406 admin extra grub-rescue-pc_1.99~rc1-2_i386.deb
 a20d0e651c3374bf7b0b2c0b6a92e3f4 934496 admin extra grub-coreboot_1.99~rc1-2_i386.deb
 31e981265a2e029d28ac20915fd8ddcf 949082 admin extra grub-efi-ia32_1.99~rc1-2_i386.deb
 e9558652f2a30ee3bc6a4db02442a646 1039002 admin extra grub-efi-amd64_1.99~rc1-2_i386.deb
 39ed51e7cd445299a258b4b7ed916457 931246 admin extra grub-ieee1275_1.99~rc1-2_i386.deb
 9942bbbf02f856901314f0cc9ab478d3 847358 admin extra grub-firmware-qemu_1.99~rc1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTVEztjk1h9l9hlALAQjMIxAAmxfQnuAy6CRdu0bVLx0YEzgDubMYBry1
mXQrx2o9emA1FKIv7JtKhWsvgCmvevYwV85Y8q6m8/4+F6goOsN0vQzjA8KhnxZD
R+zVM8gp2eiDKl4vAGBvMc+CVCHQ9nhdXM5fDlHtqDdLNvXVNf58dq2p1YDVgI/8
yp0zJo6vwTuWewiFnOKqD/fo1JecFef+sZuwy9i4rbFpIX7A3PnW+bsDKUMt15XT
30ZHBN2en6s6rusBCRvhBmQ0h3EovDjfyUI30QU6zMaGqXeQMZfQAN4NHeMY/Otf
ixDLID8uqg2UuAe9G1uNhDR333vvnfKj4pw9Qj1orvZOSq9gOOac1kErD3N50AbI
iVp7tdNqx2Z5e02iCppFUfRnorbgxnI9HUsh+PcA8ns4tTgiPfq4MWRsYLM8Ylpm
dqmHE80zMcEdmbm1Phn9mUrix3c6Uzox8u2giLCWebfzdSUbYpt1FoHAd+PlZ6uN
Uvm/F3nTg03jDDaDM3dBOkKQsWT5dtx/WmAilAzStYZ2RvkDAik+JOBpA5U89d/W
6tJ0HV22/yAUvgbWy+TTuv8v/jieb46sw1E9UtuGF+NC8PcPmQxvhuivK1MuZ9cR
LFd94fYl5VoRGD0fqE/GCrqdyNI+y7vQcCa5rdlCz1zmE+ZlS23LuVxJvaGg2xlf
HTsGnEUFFKA=
=74+O
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 08 Feb 2011 12:36:29 GMT) Full text and rfc822 format available.

Notification sent to Luc Novales <luc.novales@free.fr>:
Bug acknowledged by developer. (Tue, 08 Feb 2011 12:36:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594967; Package grub-pc. (Sat, 26 Mar 2011 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 26 Mar 2011 22:39:06 GMT) Full text and rfc822 format available.

Message #169 received at 594967@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Michael Schwingen <rincewind@discworld.dascon.de>, 594967@bugs.debian.org
Subject: Re: Bug#594967: still not fixed?
Date: Sat, 26 Mar 2011 23:37:40 +0100
[Message part 1 (text/plain, inline)]
On 08.02.2011 10:50, Michael Schwingen wrote:
> Hi,
>
> I upgraded a system to squeeze yesterday and have the same problem
> (system hangs). I tried the grub-pc packages from
> squeeze(1.98+20100804-14) as well as 1.99~rc1-1 from
> debian/pool/main/g/grub2 - both hang.
This may or may not be a related bug. Early hang can be caused by
different root problems. Please create separate bug report if latest
version hangs. Also please tell the last printed string and also try
disabling graphics and report what difference does it make. Also please
report the debug output.
> grub-legacy works fine on the system.
>
> Is 1.99~rc1-1 newer or older than grub-pc_1.99~20110104-1_i386.deb
> that is mentioned in this bug report as fixing the problem? If it is
> older, where can I get the fixed package?
>
> cu
> Michael
>
>
>
>
>
> _______________________________________________
> Pkg-grub-devel mailing list
> Pkg-grub-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-grub-devel
>


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2012 07:44:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:30:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.